Bug 2100620 - LLVM 15
Summary: LLVM 15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikita Popov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F37Changes
TreeView+ depends on / blocked
 
Reported: 2022-06-23 19:50 UTC by Ben Cotton
Modified: 2022-09-18 00:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-18 00:18:30 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-566 0 None None None 2022-08-08 15:33:31 UTC

Description Ben Cotton 2022-06-23 19:50:04 UTC
This is a tracking bug for Change: LLVM 15
For more details, see: https://fedoraproject.org/wiki/Changes/LLVM-15

Update all llvm sub-projects in Fedora Linux to version 15.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Nikita Popov 2022-08-10 08:24:42 UTC
The stable LLVM 15 release is scheduled for Sep 6th, at which point we'll do the side tag builds for f37. For now, builds of rc1 are available in copr: https://copr.fedorainfracloud.org/coprs/g/fedora-llvm-team/llvm15/

Comment 3 Ben Cotton 2022-08-23 19:20:29 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 4 Nikita Popov 2022-09-01 07:01:30 UTC
LLVM 15 is still on track for release Sep 6th. The copr repo currently has rc3.

Comment 5 Fedora Update System 2022-09-12 08:23:05 UTC
FEDORA-2022-0a2d57390d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0a2d57390d

Comment 6 Fedora Update System 2022-09-15 13:01:11 UTC
FEDORA-2022-0a2d57390d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-09-15 15:22:31 UTC
FEDORA-2022-1e2cd856ca has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-1e2cd856ca

Comment 8 Fedora Update System 2022-09-16 02:01:01 UTC
FEDORA-2022-1e2cd856ca has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-1e2cd856ca`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-1e2cd856ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-18 00:18:30 UTC
FEDORA-2022-1e2cd856ca has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.